package models

import "LAPP_LF_MOM_BACKEND/utils"

type Weekmodellst struct {
	Finr        int    `xorm:"pk comment('工厂号') Int" json:"weekmodellst-finr"`
	Weekmodelid int    `xorm:"pk comment('周模型ID') Int" json:"weekmodellst-weekmodelid"`
	Workdate    string `xorm:"pk comment('工作日') VARCHAR(14)" json:"weekmodellst-workdate"`
	Daymodelid  int    `xorm:"comment('日模型ID') INT" json:"weekmodellst-daymodelid"`
	Descr       string `xorm:"-" json:"weekmodellst-descr"`
}

func (t *Weekmodellst) TableName() string {
	return "weekmodellst"
}

// 清除string字段的右侧空格
func (t *Weekmodellst) Clipped() {
	utils.TrimStruct(t, *t)
}
